<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WfinstanceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wfinstance">
        <id column="ID" property="id" />
        <result column="WFNAME" property="wfname" />
        <result column="WFREVISION" property="wfrevision" />
        <result column="OWNERTABLE" property="ownertable" />
        <result column="OWNERID" property="ownerid" />
        <result column="ACTIVE" property="active" />
        <result column="STARTOR" property="startor" />
        <result column="STARTTIME" property="starttime" />
        <result column="CURNODEID" property="curnodeid" />
        <result column="DESCRIPTION" property="description" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, WFNAME, WFREVISION, OWNERTABLE, OWNERID, ACTIVE, STARTOR, STARTTIME, CURNODEID, DESCRIPTION
    </sql>

    <select id="selectMaxId" resultType="Integer">
        select max(id) from WFINSTANCE
    </select>

</mapper>
